package com.localmatters.collector.queue;

import javax.xml.ws.WebFault;

/**
 * A collector queue exception.
 *
 * @author Daniel Cavalcanti
 */
@WebFault()
public class CollectorQueueException extends Exception {
    
    /**
     * Creates a new instance of <code>CollectorQueueException</code> without detail message.
     */
    public CollectorQueueException() {
    }
    
    /**
     * Constructs an instance of <code>CollectorQueueException</code> with the specified detail message.
     * 
     * @param message The detail message.
     */
    public CollectorQueueException(String message) {
        super(message);
    }
    
    /**
     * Constructs an instance of <code>CollectorQueueException</code> with the specified root cause.
     * 
     * @param cause The root cause.
     */
    public CollectorQueueException(Throwable cause) {
        super(cause);
    }
    
    /**
     * Constructs an instance of <code>CollectorQueueException</code> with the specified detail message and root cause.
     * 
     * @param message The detail message.
     * @param cause The root cause.
     */
    public CollectorQueueException(String message, Throwable cause) {
        super(message, cause);
    }
    
}
